## deepin-music 3.1.8.3+ds

=== debian/changelog ===
deepin-music (3.1.8.3+ds-1build1) cosmic; urgency=medium

  * No-change rebuild for ffmpeg soname change.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 23 Jul 2018 12:34:12 +0200

deepin-music (3.1.8.3+ds-1) unstable; urgency=medium

  [ Yanhao Mo ]
  * New upstream release.

  [ Boyuan Yang ]
  * d/rules: Use "dh_missing --fail-missing".

 -- Yanhao Mo <yanhaocs@gmail.com>  Tue, 22 May 2018 12:18:05 +0800

deepin-music (3.1.8.1+ds-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 4.1.4. (no changes needed)

 -- Yanhao Mo <yanhaocs@gmail.com>  Tue, 17 Apr 2018 09:11:09 +0800

deepin-music (3.1.8+ds-1) unstable; urgency=medium

  * Initial release. (Closes: #894661)

 -- Yanhao Mo <yanhaocs@gmail.com>  Thu, 05 Apr 2018 10:21:16 +0800
