=== debian/control ===
Source: deepin-music
Section: sound
Priority: optional
Maintainer: Debian Deepin Packaging Team <pkg-deepin-devel@lists.alioth.debian.org>
Uploaders:
 Yanhao Mo <yanhaocs@gmail.com>,
Build-Depends:
 debhelper (>= 11~),
 git,
 python,
 pkg-config,
 qttools5-dev-tools,
 libqt5svg5-dev,
 qtmultimedia5-dev,
 libtag1-dev,
 libicu-dev,
 libcue-dev,
 libavutil-dev,
 libavformat-dev,
 libavcodec-dev,
 libdtkwidget-dev,
 libdbusextended-qt5-dev,
 libmpris-qt5-dev,
Standards-Version: 4.1.4
Homepage: https://github.com/linuxdeepin/deepin-music
Vcs-Git: https://salsa.debian.org/pkg-deepin-team/deepin-music.git
Vcs-Browser: https://salsa.debian.org/pkg-deepin-team/deepin-music

Package: deepin-music
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 gstreamer1.0-libav,
 gstreamer1.0-plugins-base,
 gstreamer1.0-plugins-good,
 gstreamer1.0-plugins-bad,
 gstreamer1.0-plugins-ugly,
 gstreamer1.0-pulseaudio,
 libqt5sql5-sqlite,
 libqt5multimedia5-plugins,
Description: music player with brilliant and tweakful UI
 Deepin-UI based, GStreamer front-end, with features likes search music
 by pinyin,quanpin, colorful lyrics supports, and more powerful
 functions you will found.
 .
 This package is part of DDE (Deepin Desktop Environment).
