## deepin-music 3.1.11+ds

=== debian/changelog ===
deepin-music (3.1.11+ds-1) unstable; urgency=medium

  * Team upload.
  * New upstream release 3.1.11.
  * debian/patches: Refresh all patches.
  * debian/control:
    + Build-depend on debhelper-compat (= 11) instead of using old
      debian/compat file.
    + R³: Use Rules-Requires-Root: no.
    + tighten up versioned build-dependency libdtkwidget-dev (>= 2.0.9.10~)
      to fix FTBFS. (Closes: #913502)
    + Bump Standards-Version to 4.2.1.

 -- Boyuan Yang <byang@debian.org>  Mon, 10 Dec 2018 14:10:00 -0500
