## deepin-music 3.1.14+ds

=== debian/changelog ===
deepin-music (3.1.14+ds-1) unstable; urgency=medium

  * Team upload.
  * New upstream release 3.1.14.
  * debian/control:
    + Bump debhelper-compat to v12.

 -- Boyuan Yang <byang@debian.org>  Fri, 25 Jan 2019 10:21:26 -0500
