## deepin-music 5.0.1+ds

=== debian/changelog ===
deepin-music (5.0.1+ds-2) unstable; urgency=high

  * Team upload.
  * debian/control: Drop unused build-dependency python.
    (Closes: #936380, #942951)
  * Bump Standards-Version to 4.5.0.

 -- Boyuan Yang <byang@debian.org>  Wed, 04 Mar 2020 16:11:14 -0500

deepin-music (5.0.1+ds-1) unstable; urgency=medium

  * Team upload.
  * New upstream release 5.0.1. 
  * debian/control:
    + Bump debhelper compat to v12.
    + Bump Standards-Version to 4.4.1.

 -- Boyuan Yang <byang@debian.org>  Fri, 17 Jan 2020 14:43:17 -0500
