=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Uploaders:
  Yanhao Mo <yanhaocs@gmail.com>,
 Build-Depends:
- debhelper-compat (= 11),
+ debhelper-compat (= 12),
  git,
  libavcodec-dev,
  libavformat-dev,
@@ -18,11 +18,10 @@
  libqt5svg5-dev,
  libtag1-dev,
  pkg-config,
- python,
  qtmultimedia5-dev,
  qttools5-dev-tools,
 Rules-Requires-Root: no
-Standards-Version: 4.2.1
+Standards-Version: 4.5.0
 Homepage: https://github.com/linuxdeepin/deepin-music
 Vcs-Git: https://salsa.debian.org/pkg-deepin-team/deepin-music.git
 Vcs-Browser: https://salsa.debian.org/pkg-deepin-team/deepin-music
