## deepin-music 6.0.1.54+ds.1

=== debian/changelog ===
deepin-music (6.0.1.54+ds.1-2) unstable; urgency=medium

  * debian/control:
    + Drop gstreamer1.0-fluendo-mp3 from binary package dependency.

 -- Arun Kumar Pariyar <openarungeek@gmail.com>  Thu, 24 Dec 2020 00:11:02 +0545

deepin-music (6.0.1.54+ds.1-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Trim trailing whitespace.
  * Set upstream metadata fields: Bug-Database, Bug-Submit,
    Repository and Repository-Browse.

  [ Arun Kumar Pariyar ]
  * New upstream release 6.0.1.54+ds.1.
  * debian/control:
    + Bump debhelper compat to v13.
    + Bump Standards-Version to 4.5.1.
    + Update build dependencies and set libdtkwidget-dev to (>= 5.2~).
    + Replace gvfs-bin with libglib2.0-bin.
    + Add Arun Kumar Pariyar to Uploaders.
  * debian/patches:
    + Update 0001-Use-system-library.patch.
    + Add patch to fix build with Qt5.15+ (Closes: #975140).
    + Add patch to switch from gvfs-trash to gio (Closes: #969771).
  * debian/copyright: Update license information.
  * debian/rules:
    + Removed -Wl,--as-needed from DEB_LDFLAGS_MAINT_APPEND.
    + Updated cleanup path for translations in override_dh_auto_clean.
  * debian/lintian-overrides: Tag rename on-dev-pkg-with-shlib-symlink
    to link-to-shared-library-in-wrong-package for deepin-music binary.

 -- Arun Kumar Pariyar <openarungeek@gmail.com>  Sat, 05 Dec 2020 01:37:32 +0545
