=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE = 1

# see FEATURE AREAS in dpkg-buildflags(1)
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

# see ENVIRONMENT in dpkg-buildflags(1)
# package maintainers to append CFLAGS
export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic

export QT_SELECT := 5

include /usr/share/dpkg/pkg-info.mk

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- DEFINES+="VERSION=$(DEB_VERSION_UPSTREAM)"

override_dh_auto_clean:
	dh_auto_clean
	rm -vf src/music-player/translations/*.qm

override_dh_missing:
	dh_missing --fail-missing
