## deepin-music 6.1.4

=== debian/changelog ===
deepin-music (6.1.4-1) unstable; urgency=medium

  * update

 -- Deepin Packages Builder <packages@deepin.com>  Tue, 27 Apr 2021 16:29:53 +0800

deepin-music (2.99.0-1) stable; urgency=low

  * Pre-release for deepin music 3.0

 -- TagBuilder <tagbuilder@deepin.com>  Mon, 23 May 2016 14:20:26 +0000

deepin-music (2.3.2-1) stable; urgency=low

  * Autobuild Tag 2.3.2

 -- TagBuilder <tagbuilder@linuxdeepin.com>  Mon, 23 May 2016 14:20:26 +0000

deepin-music (2.90.0-1) stable; urgency=low

  * Autobuild Tag 2.90.0

 -- TagBuilder <tagbuilder@linuxdeepin.com>  Thu, 21 Apr 2016 14:51:38 +0000

deepin-music (2.3.0-1) stable; urgency=low

  * Autobuild Tag 2.3.0

 -- TagBuilder <tabbuilder@linuxdeepin.com>  Fri, 03 Jul 2015 10:03:54 +0000

deepin-music (0.0.0) unstable; urgency=medium

  * Unstable release.

 -- 宋文武 <songwenwu@linuxdeepin.com>  Mon, 22 Dec 2014 14:10:51 +0800
