## deepin-music 6.2.8

=== debian/changelog ===
deepin-music (6.2.8-1) unstable; urgency=medium

  * update

 -- Deepin Packages Builder <packages@deepin.com>  Thu, 20 Jan 2022 10:33:21 +0800
