## deepin-music 6.2.15

=== tests/CMakeLists.txt ===
--- 
+++ 
@@ -74,6 +74,8 @@
     set(CMD_NAME deepin-music)
 endif()
 
+add_definitions(-DAUTO_UNIT_TEST)
+
 #添加覆盖率命令
 if(ISTEST MATCHES "1")
     add_test(${CMD_NAME} COMMAND ${CMD_NAME})
