=== debian/changelog ===
deepin-music (6.2.15-1) unstable; urgency=medium

  * update

 -- Deepin Packages Builder <packages@deepin.com>  Tue, 24 May 2022 11:30:49 +0800
