=== src/music-player/CMakeLists.txt ===
--- 
+++ 
@@ -145,6 +145,7 @@
 
 #将第三方库链接进来(注意 *_LIBRARIES)
 target_link_libraries(${CMD_NAME} ${TARGET_LIBS} )
+#target_link_libraries(${CMD_NAME} ${TARGET_LIBS} deepin-event-log)
 
 if(ISTEST MATCHES "1")
     set(GTEST_LIBS gmock  gtest)
