=== debian/changelog ===
deepin-music (6.2.18-2) unstable; urgency=medium

  * Fix ftbfs with ffmpeg 7 (Closes: #1078278).
  * Add debian/clean for generated qm files (Closes: #1044549).
  * Fix ts file changes in double build.
  * Change Build-Depends pkg-config to pkgconf.

 -- Arun Kumar Pariyar <arun@debian.org>  Mon, 16 Sep 2024 01:26:01 +0545

deepin-music (6.2.18-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.

 -- Boyuan Yang <byang@debian.org>  Mon, 15 Aug 2022 12:58:27 -0400

deepin-music (6.2.17-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.

 -- Boyuan Yang <byang@debian.org>  Thu, 14 Jul 2022 15:23:36 -0400

deepin-music (6.2.16-1) unstable; urgency=medium

  * Team upload.
  * Rebuild for ffmpeg 5.0 transition. (Closes: #1004808)
  * debian/patches: Drop all previous outdated patches.
  * debian/control:
    + Drop transitional gstreamer package dependencies.
    + Bump debhelper-compat to v13.
    + Bump Standards-Version to 4.6.1.

 -- Boyuan Yang <byang@debian.org>  Thu, 23 Jun 2022 16:51:47 -0400
