=== debian/control ===
Source: deepin-music
Section: sound
Priority: optional
Maintainer: Debian Deepin Packaging Team <pkg-deepin-devel@lists.alioth.debian.org>
Uploaders:
 Yanhao Mo <yanhaocs@gmail.com>,
 Arun Kumar Pariyar <arun@debian.org>,
Build-Depends:
 cmake,
 debhelper-compat (= 13),
 libavcodec-dev,
 libavformat-dev,
 libavutil-dev,
 libcue-dev,
 libdbusextended-qt5-dev,
 libdframeworkdbus-dev,
 libdtkgui-dev,
 libdtkwidget-dev (>= 5.2~),
 libgsettings-qt-dev,
 libicu-dev,
 libkf5codecs-dev,
 libmpris-qt5-dev,
 libqt5svg5-dev,
 libtag1-dev,
 libudisks2-qt5-dev,
 libvlc-dev,
 libvlccore-dev,
 pkgconf,
 python3,
 qtmultimedia5-dev,
 qttools5-dev,
 qttools5-dev-tools,
Rules-Requires-Root: no
Standards-Version: 4.6.1
Homepage: https://github.com/linuxdeepin/deepin-music
Vcs-Git: https://salsa.debian.org/pkg-deepin-team/deepin-music.git
Vcs-Browser: https://salsa.debian.org/pkg-deepin-team/deepin-music

Package: deepin-music
Architecture: any
Depends:
 gstreamer1.0-libav,
 gstreamer1.0-plugins-bad,
 gstreamer1.0-plugins-base,
 gstreamer1.0-plugins-good,
 gstreamer1.0-plugins-ugly,
 libglib2.0-bin,
 libqt5multimedia5-plugins,
 libqt5sql5-sqlite,
 vlc-plugin-base,
 ${misc:Depends},
 ${shlibs:Depends},
Description: music player with brilliant and tweakful UI
 Deepin-UI based, GStreamer front-end, with features likes search music
 by pinyin, quanpin, colorful lyrics supports, and more powerful
 functions you will found.
 .
 This package is part of DDE (Deepin Desktop Environment).
