=== debian/changelog ===
deepin-music (6.2.20-1) unstable; urgency=medium

  * update

 -- Deepin Packages Builder <packages@deepin.com>  Thu, 17 Nov 2022 10:44:17 +0800

deepin-music (6.0.1) stable; urgency=low

  * New version 6.0.1

 -- fengli <fengli@uniontech.com>  Tue, 13 Jul 2022 10:13:26 +0000
