## deepin-music 6.2.35

=== src/music-player/CMakeLists.txt ===
--- 
+++ 
@@ -23,12 +23,26 @@
 
 ADD_DEFINITIONS(-DENABLE_ACCESSIBILITY=0)
 
+#message("---- current cpu arch: ${CMAKE_HOST_SYSTEM_PROCESSOR}")
+#if(CMAKE_HOST_SYSTEM_PROCESSOR MATCHES "x86_64")
+#    include_directories(/usr/lib/x86_64-linux-gnu/glib-2.0/include)
+#elseif(CMAKE_HOST_SYSTEM_PROCESSOR MATCHES "aarch64")
+#    include_directories(/usr/lib/aarch64-linux-gnu/glib-2.0/include)
+#else()
+#    include_directories(/usr/lib/mips64el-linux-gnu/glib-2.0/include)
+#endif()
+
+pkg_check_modules(glib REQUIRED glib-2.0)
+include_directories(${glib_INCLUDEDIR}/glib-2.0)
+include_directories(${glib_INCLUDEDIR}/glib-2.0/glib)
+
 #include_directories(/usr/include/libdtk-5.2.0/DWidget)
 #include_directories(/usr/include/libdtk-5.2.0/DCore)
 include_directories(/usr/include/vlc)
 include_directories(/usr/include/vlc/plugins)
 include_directories(./../interface)
 include_directories(./../libdmusic)
+include_directories(./ai)
 include_directories(./core)
 include_directories(./core/util)
 include_directories(./presenter)
@@ -59,6 +73,7 @@
     aux_source_directory(./ allSource)
 endif()
 
+aux_source_directory(./ai allSource)
 aux_source_directory(./core allSource)
 aux_source_directory(./core/util allSource)
 aux_source_directory(./core/plugin allSource)
@@ -84,6 +99,7 @@
 aux_source_directory(./listView/lyricLineList allSource)
 
 find_package(PkgConfig REQUIRED)
+find_package(DtkWidget REQUIRED)
 
 pkg_check_modules(Dtk REQUIRED IMPORTED_TARGET dtkwidget)
 pkg_check_modules(Dtk REQUIRED IMPORTED_TARGET dtkcore)
@@ -92,6 +108,7 @@
 pkg_check_modules(DBusextended REQUIRED IMPORTED_TARGET dbusextended-qt5)
 pkg_check_modules(VLC REQUIRED IMPORTED_TARGET vlc-plugin)
 pkg_check_modules(qgsettings REQUIRED IMPORTED_TARGET gsettings-qt)
+pkg_check_modules(glib REQUIRED IMPORTED_TARGET glib-2.0)
 
 #pkg_check_modules(AV REQUIRED IMPORTED_TARGET libavutil libavcodec
 #    libavformat libcue taglib)
@@ -143,7 +160,7 @@
 
 set(TARGET_LIBS Qt5::Widgets Qt5::Core Qt5::Gui Qt5::DBus Qt5::Sql Qt5::Svg Qt5::Xml
      PkgConfig::AV PkgConfig::Dtk PkgConfig::qgsettings PkgConfig::udisks2 icui18n
-    PkgConfig::MPRIS PkgConfig::DBusextended pthread dmusic )
+    PkgConfig::MPRIS PkgConfig::DBusextended pthread dmusic pulse PkgConfig::glib pulse-mainloop-glib)
 LINK_DIRECTORIES(${CMAKE_BINARY_DIR}/src/libdmusic/)
 
 
@@ -152,21 +169,31 @@
 #target_link_libraries(${CMD_NAME} ${TARGET_LIBS} deepin-event-log)
 
 if(ISTEST MATCHES "1")
-    set(GTEST_LIBS gmock  gtest)
+    set(GTEST_LIBS gmock gtest)
     target_link_libraries(${CMD_NAME} ${GTEST_LIBS})
 endif()
 
 # ------------------------------- install script -------------------------------
-install(TARGETS ${CMD_NAME} DESTINATION bin)
+install(TARGETS ${CMD_NAME} DESTINATION ${CMAKE_INSTALL_BINDIR})
 # install Translation files:
 install(DIRECTORY ${PROJECT_SOURCE_DIR}/translations
-    DESTINATION share/${CMD_NAME}
+    DESTINATION ${CMAKE_INSTALL_DATADIR}/${CMD_NAME}
     FILES_MATCHING PATTERN "*.qm")
 #install(FILES ${Translate1} DESTINATION share/${CMD_NAME})
 # install Desktop icon
 install(FILES ${PROJECT_SOURCE_DIR}/src/music-player/data/deepin-music.desktop
-    DESTINATION share/applications)
+    DESTINATION ${CMAKE_INSTALL_DATADIR}/applications)
 # install Manual App icon
 install(FILES ${PROJECT_SOURCE_DIR}/src/music-player/icons/icons/deepin-music.svg
-    DESTINATION share/icons/hicolor/scalable/apps)
-install(DIRECTORY ${PROJECT_SOURCE_DIR}/assets/deepin-music DESTINATION /usr/share/deepin-manual/manual-assets/application/)
+    DESTINATION ${CMAKE_INSTALL_DATADIR}/icons/hicolor/scalable/apps)
+install(DIRECTORY ${PROJECT_SOURCE_DIR}/assets/deepin-music DESTINATION ${CMAKE_INSTALL_DATADIR}/deepin-manual/manual-assets/application/)
+
+install(FILES ${PROJECT_SOURCE_DIR}/assets/deepin-music.json DESTINATION /usr/lib/uos-ai-assistant/functions)
+
+#hw机型增加DConfig配置
+set(APPID org.deepin.music)
+set(configFile ${PROJECT_SOURCE_DIR}/assets/org.deepin.music.json)
+if (DEFINED DSG_DATA_DIR)
+    message("-- DConfig is supported by DTK")
+    dconfig_meta_files(APPID ${APPID} FILES ${configFile})
+endif()
