=== debian/changelog ===
deepin-music (6.2.35-1) unstable; urgency=medium

  * update

 -- Deepin Packages Builder <packages@deepin.com>  Thu, 14 Dec 2023 20:00:56 +0800

deepin-music (6.2.35) unstable; urgency=medium

  * Adapt to UOS AI voice control

 -- fengli <fengli@uniontech.com>  Thu, 14 Dec 2023 13:41:29 +0800

deepin-music (6.2.34) unstable; urgency=medium

  * fix compilation failed on 104x

 -- fengli <fengli@uniontech.com>  Wed, 25 Oct 2023 15:11:37 +0800

deepin-music (6.2.33) unstable; urgency=medium

  * Adapt to compact mode

 -- fengli <fengli@uniontech.com>  Mon, 16 Oct 2023 14:56:39 +0800

deepin-music (6.2.32) unstable; urgency=medium

  * fix playback failure issue after hibernation wake-up

 -- fengli <fengli@uniontech.com>  Mon, 16 Oct 2023 14:13:09 +0800

deepin-music (6.2.31) unstable; urgency=medium

  * fix crash when connecting to pulseaudio failed

 -- fengli <fengli@uniontech.com>  Tue, 15 Aug 2023 16:58:04 +0800

deepin-music (6.2.30) unstable; urgency=medium

  * New version 6.2.30

 -- fengli <fengli@uniontech.com>  Wed, 19 Jul 2023 11:01:08 +0800

deepin-music (6.2.29) unstable; urgency=medium

  * New version 6.2.29 

 -- fengli <fengli@uniontech.com>  Wed, 12 Jul 2023 14:47:05 +0800

deepin-music (6.2.28) unstable; urgency=medium

  * New version 6.2.28

 -- fengli <fengli@uniontech.com>  Wed, 07 Jun 2023 09:49:58 +0800

deepin-music (6.2.27) unstable; urgency=medium

  * New version 6.2.27

 -- fengli <fengli@uniontech.com>  Mon, 08 May 2023 16:38:33 +0800

deepin-music (6.2.26) unstable; urgency=medium

  * New version 6.2.26

 -- fengli <fengli@uniontech.com>  Thu, 13 Apr 2023 11:32:22 +0800

deepin-music (6.2.25) unstable; urgency=medium

  * New version 6.2.25

 -- fengli <fengli@uniontech.com>  Wed, 15 Mar 2023 13:34:24 +0800

deepin-music (6.2.24) unstable; urgency=medium

  * New version 6.2.24

 -- fengli <fengli@uniontech.com>  Fri, 6 Jan 2023 11:19:26 +0000
