=== debian/changelog ===
deepin-music (6.2.40-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * debian/patches/0004-Bump-from-C-11-14-to-C-17.patch: Really enforce
    C++17 build. (Closes: #1092315)
  * debian/patches/0005-Support-taglib-2.x.patch: Support taglib 2.x.
    (Closes: #1092681)
  * debian/control: Use taglib 2.x build-dependency package libtag-dev.

 -- Boyuan Yang <byang@debian.org>  Sun, 12 Jan 2025 20:52:02 -0500

deepin-music (6.2.28-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * debian/patches/0004-CMakeLists.txt-Force-c-17-not-c-11.patch:
    Add patch to force C++17 build. (Closes: #1092315)
  * debian/copyright: Minor update.
  * debian/control: Add build-dep libsdl2-dev.

 -- Boyuan Yang <byang@debian.org>  Wed, 08 Jan 2025 21:04:36 -0500
